package com.qmth.themis.business.domain;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 腾讯云 domain
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/21
 */
public class TencentYunDomain implements Serializable {

    private String appId;
    private String key;
    private List<String> urls;
    private String queryUrl;
    private String service;
    private String secretId;
    private String secretKey;
    private Long vodAppId;
    private String callbackPwd;
    private String callbackTime;
    private String trtcQueryUrl;
    private String trtcRegion;

    public TencentYunDomain() {

    }

    public TencentYunDomain(String appId,
                            String key,
                            List<String> urls,
                            String queryUrl,
                            String service,
                            String secretId,
                            String secretKey,
                            Long vodAppId,
                            String callbackPwd,
                            String callbackTime,
                            String trtcQueryUrl,
                            String trtcRegion) {
        this.appId = appId;
        this.key = key;
        this.urls = urls;
        this.queryUrl = queryUrl;
        this.service = service;
        this.secretId = secretId;
        this.secretKey = secretKey;
        this.vodAppId = vodAppId;
        this.callbackPwd = callbackPwd;
        this.callbackTime = callbackTime;
        this.trtcQueryUrl = trtcQueryUrl;
        this.trtcRegion = trtcRegion;
    }

    public String getTrtcRegion() {
        return trtcRegion;
    }

    public void setTrtcRegion(String trtcRegion) {
        this.trtcRegion = trtcRegion;
    }

    public String getTrtcQueryUrl() {
        return trtcQueryUrl;
    }

    public void setTrtcQueryUrl(String trtcQueryUrl) {
        this.trtcQueryUrl = trtcQueryUrl;
    }

    public String getCallbackTime() {
        return callbackTime;
    }

    public void setCallbackTime(String callbackTime) {
        this.callbackTime = callbackTime;
    }

    public String getCallbackPwd() {
        return callbackPwd;
    }

    public void setCallbackPwd(String callbackPwd) {
        this.callbackPwd = callbackPwd;
    }

    public Long getVodAppId() {
        return vodAppId;
    }

    public void setVodAppId(Long vodAppId) {
        this.vodAppId = vodAppId;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getSecretId() {
        return secretId;
    }

    public void setSecretId(String secretId) {
        this.secretId = secretId;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getQueryUrl() {
        return queryUrl;
    }

    public void setQueryUrl(String queryUrl) {
        this.queryUrl = queryUrl;
    }

    public List<String> getUrls() {
        return urls;
    }

    public void setUrls(List<String> urls) {
        this.urls = urls;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }
}
